Get Campaign
curl --request GET \
--url https://api.goextrovert.com/client/v2/campaign/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.goextrovert.com/client/v2/campaign/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.goextrovert.com/client/v2/campaign/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"id": "8d256aa6-9b12-49a7-93ee-bf41634b5b60",
"updatedAt": "2025-06-30T14:02:07.456Z",
"createdAt": "2025-06-30T14:02:07.456Z",
"name": "<string>",
"ownerContext": {
"id": "8d256aa6-9b12-49a7-93ee-bf41634b5b60",
"name": "<string>"
},
"ownerStyle": {
"id": "8d256aa6-9b12-49a7-93ee-bf41634b5b60",
"updatedAt": "2025-06-30T14:02:07.456Z",
"createdAt": "2025-06-30T14:02:07.456Z",
"name": "<string>",
"isLearningModeEnabled": true
},
"postMaxAgeDays": 123,
"isActive": true,
"sharedUsers": [
{
"id": "8d256aa6-9b12-49a7-93ee-bf41634b5b60",
"updatedAt": "2025-06-30T14:02:07.456Z",
"createdAt": "2025-06-30T14:02:07.456Z",
"firstName": "<string>",
"lastName": "<string>",
"name": "<string>",
"notifyAboutNewPosts": true,
"notifyAboutNewDms": true,
"isDmHistorySynced": true,
"onboardingDate": "2025-06-30T14:02:07.456Z",
"linkedInProfile": {
"id": "<string>",
"updatedAt": "2025-06-30T14:02:07.456Z",
"createdAt": "2025-06-30T14:02:07.456Z",
"name": "<string>",
"email": "<string>",
"avatarUrl": "<string>",
"linkedInUrl": "<string>"
},
"selectedWorkspaceSettings": {
"id": "8d256aa6-9b12-49a7-93ee-bf41634b5b60",
"updatedAt": "2025-06-30T14:02:07.456Z",
"createdAt": "2025-06-30T14:02:07.456Z",
"isCreator": true,
"isLinkedInProfileConnected": true,
"onboardingDate": "2025-06-30T14:02:07.456Z",
"user": {
"id": "8d256aa6-9b12-49a7-93ee-bf41634b5b60",
"name": "<string>"
}
},
"linkedinUrl": "<string>"
}
],
"skipTeammatesLeads": true,
"applyCommentIntervalH": 123,
"owner": {
"id": "8d256aa6-9b12-49a7-93ee-bf41634b5b60",
"updatedAt": "2025-06-30T14:02:07.456Z",
"createdAt": "2025-06-30T14:02:07.456Z",
"firstName": "<string>",
"lastName": "<string>",
"name": "<string>",
"notifyAboutNewPosts": true,
"notifyAboutNewDms": true,
"isDmHistorySynced": true,
"onboardingDate": "2025-06-30T14:02:07.456Z",
"linkedInProfile": {
"id": "<string>",
"updatedAt": "2025-06-30T14:02:07.456Z",
"createdAt": "2025-06-30T14:02:07.456Z",
"name": "<string>",
"email": "<string>",
"avatarUrl": "<string>",
"linkedInUrl": "<string>"
},
"selectedWorkspaceSettings": {
"id": "8d256aa6-9b12-49a7-93ee-bf41634b5b60",
"updatedAt": "2025-06-30T14:02:07.456Z",
"createdAt": "2025-06-30T14:02:07.456Z",
"isCreator": true,
"isLinkedInProfileConnected": true,
"onboardingDate": "2025-06-30T14:02:07.456Z",
"user": {
"id": "8d256aa6-9b12-49a7-93ee-bf41634b5b60",
"name": "<string>"
}
},
"linkedinUrl": "<string>"
},
"isDeleted": true,
"isIndirectEngagementEnabled": true,
"postActivityFilter": {
"emotionTypes": [],
"monitoredTopicIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"isShowDirectPostFirstEnabled": true,
"minPostLikes": 0
},
"connectingSettings": {
"isSendConnectionRequestEnabled": true,
"sendConnectionRequestOnDirectCommentCount": 4503599627370495,
"isSendConnectionRequestOnIndirectCommentEnabled": true,
"sendConnectionRequestOnIndirectCommentCount": 4503599627370495,
"isSendConnectionRequestOnTimeoutEnabled": true,
"sendConnectionRequestOnTimeoutDays": 4503599627370495,
"isSendConnectionRequestOnNoPostsEnabled": true
},
"dmSettings": {
"isGenerateDmEnabled": true,
"isGenerateDmOnConnectEnabled": true,
"generateDmOnConnectAfterDaysCount": 4503599627370495,
"isGenerateDmOnRelevantPostEnabled": true,
"generateDmOnRelevantPostAfterDaysCount": 4503599627370495,
"isGenerateDmOnTimeoutEnabled": true,
"generateDmOnTimeoutAfterDaysCount": 4503599627370495
},
"shareWithAllWorkspaceUsers": true,
"manualPostsSyncAvailableAfter": "2025-06-30T14:02:07.456Z"
},
"message": "Operation completed successfully"
}{
"status": "error",
"data": null,
"message": "An error occurred while processing the request"
}Campaigns
Get Campaign
Loads full details of a single campaign, including linked Style and Context, postActivityFilter, connectingSettings, and dmSettings.
GET
/
client
/
v2
/
campaign
/
{id}
Get Campaign
Authorizations
API Key for authentication
Path Parameters
⌘I